Not allowed (activity log is append-only via logActivity)
curl --request POST \
--url https://api.arcuserp.com/v1/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arcuserp.com/v1/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arcuserp.com/v1/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}Activity
Not allowed (activity log is append-only via logActivity)
Returns 405 Method Not Allowed. Activity events are created automatically by other API endpoints via the logActivity() canonical helper. There is no public POST endpoint for the activity log.
POST
/
activity
Not allowed (activity log is append-only via logActivity)
Authorizations
API key issued per entity via Settings > Developers > API Keys.
Each key carries scopes (e.g. orders:read, products:write).
Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.
Was this page helpful?

